<?php namespace App\ViewModels\Raca\RacaDetailsViewModel;


use App\Utils\Builder;

class RacaDetailsViewModelBuilder implements Builder
{
    protected $id;
    protected $nome;
    protected $id_especie;
    protected $especie;

    public function setId(int $id)
    {
        $this->id = $id;
        return $this;
    }

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    /**
     * @param mixed $id_especie
     * @return RacaDetailsViewModelBuilder
     */
    public function setIdEspecie($id_especie)
    {
        $this->id_especie = $id_especie;
        return $this;
    }

    /**
     * @param mixed $especie
     * @return RacaDetailsViewModelBuilder
     */
    public function setEspecie($especie)
    {
        $this->especie = $especie;
        return $this;
    }

    public function build() : RacaDetailsViewModel
    {
        $procedimento_details_vm = new RacaDetailsViewModel();
        $procedimento_details_vm->setId($this->id);
        $procedimento_details_vm->setNome($this->nome);
        $procedimento_details_vm->setIdEspecie($this->id_especie);
        $procedimento_details_vm->setEspecie($this->especie);
        return $procedimento_details_vm;
    }


}
